Rel-26Nov2003: 
This is the first offical release tag.  It is in preparation for Drew's trip
next week, 1 Dec 2003.  The code on the vehicle was synchronized with the CVS
respository last night.

Dev-1Dec2003: 
Upgrade Navigation.cc to dead reckon using the system clock, not the Dvl
clock.  There were other various fixes; type cvs log on a specific file to see
details. 

The following files have been changed since Rel-26Nov2003.  

M 2003-11-26 01:17 +0000 dorado   1.6  GpsUtils.cc        auv/altex/onboard/gps                     == <remote>
M 2003-11-26 01:28 +0000 dorado   1.5  CStepper.cpp       auv/altex/onboard/newTailCone/TailconeGUI == <remote>
M 2003-11-26 01:38 +0000 dorado   1.22 Parosci.cc         auv/altex/onboard/parosci                 == <remote>
M 2003-11-26 01:41 +0000 dorado   1.4  ctdDriver.cfg      auv/altex/onboard/config/dorado389        == <remote>
M 2003-11-26 01:41 +0000 dorado   1.12 devices.cfg        auv/altex/onboard/config/dorado389        == <remote>
M 2003-11-26 01:41 +0000 dorado   1.7  doradoTailCone.cfg auv/altex/onboard/config/dorado389        == <remote>
M 2003-11-26 01:41 +0000 dorado   1.7  dvl.cfg            auv/altex/onboard/config/dorado389        == <remote>
M 2003-11-26 01:41 +0000 dorado   1.11 vehicle.cfg        auv/altex/onboard/config/dorado389        == <remote>
M 2003-11-26 01:41 +0000 dorado   1.7  workSite.cfg       auv/altex/onboard/config/dorado389        == <remote>
M 2003-11-30 02:58 +0000 dorado   1.7  BiolumeDriver.cc   auv/altex/onboard/biolume                 == <remote>
M 2003-11-25 00:19 +0000 henthorn 1.3  AshtechGps.cc      auv/altex/onboard/gps                     == <remote>
M 2003-11-25 01:18 +0000 henthorn 1.9  Hydroscat.cc       auv/altex/onboard/hydroscat               == <remote>
M 2003-11-30 01:52 +0000 hthomas  1.6  BiolumeDriver.cc   auv/altex/onboard/biolume                 == <remote>
M 2003-11-30 01:52 +0000 hthomas  1.4  BiolumeDriver.h    auv/altex/onboard/biolume                 == <remote>
M 2003-11-26 23:27 +0000 rob      1.7  GpsUtils.cc        auv/altex/onboard/gps                     == <remote>
M 2003-11-26 23:34 +0000 rob      1.5  cvtwfq             auv/altex/onboard/bin                     == <remote>
M 2003-11-26 23:42 +0000 rob      1.30 Dvl.cc             auv/altex/onboard/dvl                     == <remote>
M 2003-11-26 23:43 +0000 rob      1.4  DvlLog.cc          auv/altex/onboard/dvl                     == <remote>
M 2003-11-26 23:43 +0000 rob      1.3  DvlLog.h           auv/altex/onboard/dvl                     == <remote>
M 2003-11-26 23:48 +0000 rob      1.4  DvlServer.cc       auv/altex/onboard/dvl                     == <remote>
M 2003-11-26 23:48 +0000 rob      1.3  DvlServer.h        auv/altex/onboard/dvl                     == <remote>
M 2003-11-26 23:48 +0000 rob      1.3  Dvl.cc             auv/altex/onboard/Navigation              == <remote>
M 2003-11-26 23:48 +0000 rob      1.3  Dvl.h              auv/altex/onboard/Navigation              == <remote>
M 2003-11-26 23:49 +0000 rob      1.4  DvlIF.idl          auv/altex/onboard/taskIF                  == <remote>
M 2003-11-26 23:52 +0000 rob      1.20 NavigationLog.cc   auv/altex/onboard/Navigation              == <remote>
M 2003-11-26 23:52 +0000 rob      1.12 NavigationLog.h    auv/altex/onboard/Navigation              == <remote>
M 2003-11-27 00:12 +0000 rob      1.55 Navigation.cc      auv/altex/onboard/Navigation              == <remote>
M 2003-11-27 00:12 +0000 rob      1.25 Navigation.h       auv/altex/onboard/Navigation              == <remote>

Dev-2Dec2003

This is a tag of what's on the vehicle now.  It doesn't include the new nav
stuff, but does include the new biolum.  The biolum changes are:


RCS file: /data/altex/Master/auv/altex/onboard/biolume/BiolumeDriver.cc,v
Working file: BiolumeDriver.cc
head: 1.8
branch:
locks: strict
access list:
keyword substitution: kv
total revisions: 8;	selected revisions: 8
description:
----------------------------
revision 1.8
date: 2003/12/02 17:39:55;  author: dorado;  state: Exp;  lines: +11 -1
fixed buffer length for fully pegged bathphotometer output
----------------------------
revision 1.7
date: 2003/11/30 02:58:12;  author: dorado;  state: Exp;  lines: +15 -13
working Gen2 BP checkin. Be sure that the cobox micro is configured with pack control set to 33 (send immediately after send chars, no trailer characters, 5 sec force transmit) and use cr/lf for the termination characters
----------------------------
revision 1.6
date: 2003/11/30 01:52:05;  author: hthomas;  state: Exp;  lines: +79 -79
driver modified to support new netcdf-compliant logging and gen2 BP
----------------------------


RCS file: /data/altex/Master/auv/altex/onboard/framework/SerialDevice.cc,v
Working file: framework/SerialDevice.cc
head: 1.32
branch:
locks: strict
access list:
keyword substitution: kv
total revisions: 32;	selected revisions: 32
description:
----------------------------
revision 1.32
date: 2003/12/02 17:34:15;  author: dorado;  state: Exp;  lines: +1 -3
fixed bug in getNextSocketRecord so that it will now return up to maxByte bytes in front of the trailer character
----------------------------

Rel-15Dec2003:

There are no code changes between this and Dev-2Dec2003.  Drew successfully
ran this during the last Spokes night cruise, so this becomes the latest
released version. Recall that it does contain the Dvl clock roll-over bug.  

We checked in the following configuration files:

M 2003-12-15 22:29 +0000 dorado 1.5  ctdDriver.cfg        auv/altex/onboard/config/dorado389 == <remote>
M 2003-12-15 22:30 +0000 dorado 1.8  workSite.cfg         auv/altex/onboard/config/dorado389 == <remote>
M 2003-12-15 22:33 +0000 dorado 1.11 Lab1.cfg             auv/altex/onboard/missions         == <remote>
M 2003-12-15 22:35 +0000 dorado 1.7  abortMplan.cfg       auv/altex/onboard/missions         == <remote>
M 2003-12-15 22:39 +0000 dorado 1.3  pitchControlTest.cfg auv/altex/onboard/missions         == <remote>
M 2003-12-15 22:40 +0000 dorado 1.3  speedsteps.cfg       auv/altex/onboard/missions         == <remote>

Rob and Hans fixed the bug that Drew found in Dev-1Dec2003.  All of the
latest code is checked in and ready to go, but not yet tagged.  We will tag it
with a "Dev-" name right before they go out again, so we can include any
subsequent changes.

2004/1/27:

Preparing for Robert's CTD trip tomorrow.  The files that have been changed
since Rel15Dec2003 are:

M gps/AshtechGps.cc
M gps/AshtechGps.h
M gps/GarminGps.cc
M gps/GarminGps.h
M gps/GpsLog.cc
M gps/GpsLog.h
M gps/GpsOutput.h
M gps/GpsServer.cc
M gps/GpsServer.h
M gps/GpsUtils.cc
M gps/GpsUtils.h
M gps/LoggableGps.h
M gps/gpsTest.cc
M kearfott/Kearfott.cc
M kearfott/Kearfott.h
M kearfott/Makefile
M taskIF/GpsIF.idl
U Makefile

Most of this is adding the Gps server to Kearfott.cc.  Also, both the Ashtech
code and the kearfott now log GPS time, rather than system time.  There are
two new files in the kearfott subdirectory:

KearfottGpsLog.cc KearfottGpsLog.h.  I'm adding them now:

Initial check in.  This is extends the GpsLog in the ../gps
directory.  It now includes Gps time from the GGA string, and also the
GSA string.  I would have inherited from ../gps/GpsLog.cc, but was
prevented by the multiple ineritance of Loggable GPS.  So, the code in
../gps/GpsLog.cc is duplicated here.

Updated the Makefile.

Checked in the following:

gps/AshtechGps.cc
gps/AshtechGps.h
gps/GarminGps.cc
gps/GarminGps.h
gps/GpsLog.cc
gps/GpsLog.h
gps/gpsTest.cc
gps/LoggableGps.h

date: 2004/01/28 00:24:56;  author: rob;  state: Exp;  lines: +25 -5
The original code substituted the qnx mvc clock for GPS time.
Apparently there was some concern with this during the initial
development, particularly with the fact that GPS time is seconds in
the day, and doesn't include the date.
 
This code now writes GPS time into the gps log file.  The format is
different. The previous log had a float that was qnx time (seconds
since 1 Jan 1970); this has been replaced with four integers that are
hours, minutes, seconds, and centiseconds.

taskIF/GpsIF.idl

date: 2004/01/28 00:37:19;  author: rob;  state: Exp;  lines: +88 -0
Added structures GsaStruct and VgtStruct, and methods to get their data.

kearfott/Kearfott.cc
kearfott/Kearfott.h
kearfott/Makefile

Added code to parse and serve the information in the GPS GSA and VGT
strings.

Now, we will check this code out on the DMO vehicle into a new directory,
auvdev, under dorado1.

Updated Simulator/SimulatedGps.cc and .h to have virtual functions.
Added virtual functions for the new Gps time computation, and the new
Gps GSA and VGT string parsing:
  virtual short hours();
  virtual short minutes();
  virtual short seconds();
  virtual short milliSeconds();
  virtual DeviceIF::Status getGSA(GpsIF::GsaStruct *gsa);
  virtual DeviceIF::Status getVGT(GpsIF::VgtStruct *vgt);


Found that kearfott/GpsServer.cc and kearfott/_gpsServer.cc were not added to
cvs. Added and committed them.

kearfott/GpsServer.cc 

This is the Kearfott version of GpsServer.  The only difference is
that it doesn't spawn the driver, because _kearfottServer.cc does that.

kearfott/_gpsServer.cc
revision 1.1
date: 2004/01/28 01:58:56;  author: rob;  state: Exp;
This is the Kearfott version of the gps server _gpsServer.cc.
gps/_gpsServer.cc takes command line arguments, while this one does not.

Ran test mission Lab1.cfg with both the old code and the new development
version.  Looks OK.

We have left the dorado1/auv directory untouched.  We checked out a new
directory auvdev, and built it on the (DMO) vehicle.  

We then made new profiles, .profile_auv and .profile_auvdev under dorado1,
and then did ln -s .profile_auvdev .profile.

This code is tagged Dev-27Dec2004.

Note:  This code worked well Weds and Thurs, except for the Gps problem and
that was due to the Ashtech firmware.  

2004/01/30:

Changed milliSeconds() to centiSeconds() in AshtechGps.cc and everywhere else.

Reflashed the Kearfott Ashtech and the DMO vehicle Ashtech with the new
firmware, DC03.  Also added satellite and altitude checks to AshtechGps.cc

description:
----------------------------
revision 1.8
date: 2004/01/31 00:46:12;  author: rob;  state: Exp;  lines: +35 -7
Check that the fix must have at least 5 satellites, and |altitude| <
500 meters.
----------------------------
revision 1.7
date: 2004/01/30 19:02:07;  author: sib;  state: Exp;  lines: +3 -2
sib: Added a syslog::write to processRecord so we log every GPS reply!
----------------------------
revision 1.6
date: 2004/01/30 18:46:39;  author: sib;  state: Exp;  lines: +4 -0
sib: added a check to processRecord to make sure the quality is 1 or 2 for a
good fix. 
----------------------------
revision 1.5
date: 2004/01/29 23:07:02;  author: rob;  state: Exp;  lines: +3 -3
Changed the function "milliSeconds" to "centiSeconds" in GpsLog.cc,
and all (all 16 of them) of the other required places
